apply plugin: rootProject.ext.plugins.library

apply plugin: 'maven'

android {
    compileSdkVersion rootProject.ext.android.compileSdkVersion
    buildToolsVersion rootProject.ext.android.buildToolsVersion

    defaultConfig {
        minSdkVersion rootProject.ext.android.minSdkVersion
        targetSdkVersion rootProject.ext.android.targetSdkVersion
    }

    resourcePrefix 'permission'
}

uploadArchives {
    repositories{
        mavenDeployer {
            //url 'https://repo.rdc.aliyun.com/repository/84103-release-wrxD8V/'
            repository(url:"https://repo.rdc.aliyun.com/repository/84521-release-D7jNC2/") {
                authentication(userName:"icYZUR", password:"Xgk5Pc7PcV")
            }
            // 以com.android.support:appcompat-v7:25.1.0为对比
            pom.version="1.0.2" // 对应版本号 25.1.0
            pom.artifactId="permission" // 对应 appcompat-v7
            pom.groupId="com.airsmart.lib" // com.android.support
        }
    }
}

dependencies {
    compileOnly rootProject.ext.dependencies.fragment
    //fragment: 'androidx.appcompat:appcompat:1.1.0'
    //implementation "com.android.support:appcompat-v7:28.0.0"
}